clear variables 
close all
clc

%eseguire prima "HH_sim_fin_propx.m"

load('pext');

d=2.0;%cm distanza elettrodo fibra
x1=14; %elettrodo 1 posto a centro fibra
x2=15; %elettrodo due posto a 1 cm (tipico EMG)


P1=[x1 d 0]';
P2=[x2 d 0]'; 

a=0.0238; %cm raggio 
p_i=34.5/1000; %kohm*cm resistività intracellulare
sigmao=100/p_i; 


dx=x(2)-x(1);
dt=t(2)-t(1);

%la parte iniziale e la parte finale randono il calcolo (numerico) della derivata
%sbagliato > tolgo DT
DT=round(length(t)/10);
%azzero le variabili di integrazione
accP1=0;
accP2=0;
for i=1+DT:length(t)-DT
    t1(i)=t(i);
    d2Vm=diff(diff(Vm(i,:)))/dx^2;
    %azzero le variabili di integrazione
    accP1=0;
    accP2=0;
    for j=1:length(x)-2 % ad ogni istante di tempo risolvo l'integrale (numericamente) 
    accP1=accP1  + ( a^2 / (4*pi*sigmao*p_i))  * (d2Vm(j)*dx)/((x(j)-P1(1))^2+d^2)^0.5;
    accP2=accP2  + ( a^2 / (4*pi*sigmao*p_i))  * (d2Vm(j)*dx)/((x(j)-P2(1))^2+d^2)^0.5;
    end
    V_P1(i)=accP1;
    V_P2(i)=accP2;
    Vmeas(i)=V_P2(i)-V_P1(i);
    
end

figure
subplot(2,1,1)
plot(t1,V_P1)
hold on
plot(t1,V_P2)
legend('VP1','VP2');
xlabel('[msec]');
ylabel('[mV]');
subplot(2,1,2)
 plot(t1,Vmeas);
 legend('Vmeas');
xlabel('[msec]');
ylabel('[mV]');
subplot(2,1,2)
 plot(t1,Vmeas);
 legend('Vmeas');
xlabel('[msec]');
ylabel('[mV]');









