clear variables 
close all
clc

%eseguire prima "HH_sim_fin_propx.m"

load('pext');

d=2.0;%cm distanza elettrodo fibra
x1=15; %elettrodo 1 posto a centro fibra
x2=x1+1; %elettrodo due posto a 1 cm (tipico EMG)


P1=[x1 d 0]';
P2=[x2 d 0]'; 

a=0.0238; %cm raggio 
p_i=34.5/1000; %kohm*cm resistività intracellulare
sigmao=100/p_i; 


dx=x(2)-x(1);
dt=t(2)-t(1);

%la parte iniziale e la parte finale randono il calcolo (numerico) della derivata
%sbagliato > tolgo DT
DT=round(length(t)/10);
%azzero le variabili di integrazione


%kk=0;
%while kk~=20

subplot(3,1,1)
a1 = animatedline('Color','b');
hold on
a2 = animatedline('Color','r');
xlabel('[msec]');
ylabel('[mV]');
legend('VP1','VP2');
axis([0 30 -8e-6 4e-6])
subplot(3,1,2)
a3 = animatedline('Color','g');
legend('Vmeas');
xlabel('[msec]');
ylabel('[mV]');
axis([0 20 -1 1])
axis([0 30 -6e-6 6e-6])
subplot(3,1,3)
a4=animatedline('Color','b');
ylabel('[mV]');
xlabel('[cm]');
legend('Vm');

kk=0;
while kk~=7
     clearpoints(a1);
     clearpoints(a2);
     clearpoints(a3);

for i=1+DT:length(t)-DT
    
    d2Vm=diff(diff(Vm(i,:)))/dx^2;
    %azzero le variabili di integrazione
    accP1=0;
    accP2=0;
    for j=1:length(x)-2 % ad ogni istante di tempo risolvo l'integrale (numericamente) 
    accP1=accP1  + ( a^2 / (4*pi*sigmao*p_i))  * (d2Vm(j)*dx)/((x(j)-P1(1))^2+d^2)^0.5;
    accP2=accP2  + ( a^2 / (4*pi*sigmao*p_i))  * (d2Vm(j)*dx)/((x(j)-P2(1))^2+d^2)^0.5;
    end
    V_P1(i)=accP1;
    V_P2(i)=accP2;
    Vmeas(i)=V_P2(i)-V_P1(i);
    addpoints(a1,t(i),V_P1(i));
    addpoints(a2,t(i),V_P2(i));
    addpoints(a3,t(i),Vmeas(i));
    
    
    clearpoints(a4);
    addpoints(a4,x,Vm(i,:));
  
    
%        k=0
%        for k=1:100000 % fare una pausa
%            k=k+1;
%        end
    %if mod(i,10)==0
        
    %   h= plot(x,Vm(i,:));
      
     
    %end
    
    drawnow limitrate
     
end
kk=kk+1;
end





